import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增题库试卷
    addbankexam(data) {
        return request({
            url: '/bank/exam',
            method: 'post',
            data
        })
    },
    //修改题库试卷
    editbankexam(data) {
        return request({
            url: '/bank/exam/edit',
            method: 'post',
            data
        })
    },
    //查询题库试卷列表
    inquirebankexamList(data) {
        return request({
            url: '/bank/exam/list',
            method: 'get',
            params: data
        })
    },
    //查询题目列表
    inquirebankexamquestionList(data) {
        return request({
            url: '/bank/exam/question/list',
            method: 'get',
            params: data
        })
    },
    //获取题库试卷详细信息
    obtainbankexam(data) {
        return request({
            url: `/bank/exam/` + data,
            method: 'get',
        })
    },
    //查询业务层次关系列表
    inquirebankexamListbusiness(data) {
        return request({
            url: '/bank/exam/business/list',
            method: 'get',
            params: data
        })
    },


    //新增试卷类型
    addpaperexam(data) {
        return request({
            url: '/exam/paper',
            method: 'post',
            data
        })
    },
    //修改试卷类型
    editpaperexam(data) {
        return request({
            url: '/exam/paper/edit',
            method: 'post',
            data
        })
    },
    //查询试卷类型列表
    inquirepaperexamList(data) {
        return request({
            url: '/exam/paper/list',
            method: 'get',
            params: data
        })
    },
    //获取试卷类型详细信息
    obtainpaperexam(data) {
        return request({
            url: `/exam/paper/` + data,
            method: 'get',
        })
    },
    //批量新增试卷
    addMorebankexam(data) {
        return request({
            url: '/bank/exam/addMore',
            method: 'post',
            data
        })
    },
}